// Override actual colors/sizes with cssvars
// Later we want to replace sass vars with cssvars before compiling
// See https://github.com/jgthms/bulma/issues/1837


.section {
    padding: 1.5rem;
}

a {
  color: var(--enzian--color-primary);
  &:hover {
    opacity: 0.75;
  }
}


.field:not(:last-child) {
  margin-bottom: 0;
}

/* Maybe there is a styling bug upstream, this should not be necessary */
.field--label-inline {
  float: none;
  margin-right: 0;
  display: flex;
  &.field::after{
    content: none;
  }
}

.media .media {
  border-top: none !important;
}

/* 
 * Admin toolbar
 *
 */

#admin-toolbar-search-tab .control {
  margin-top: 0;
  font-size: unset;
}

/* 
 * Hero
 *
 */

.hero.is-primary { 
  background-color: var(--enzian--color-navbar-bg);
  color: var(--enzian--color-navbar-link);
}

.hero-head .block:not(:last-child) {
  margin-bottom: 0;
}

/* 
 * Navbar
 *
 */


@media all and (min-width: $desktop) {
  nav.navbar {
    height: 4.25rem
  }
}

.navbar-brand .title {
  color: var(--enzian--color-navbar-link);
  font-weight: normal;
}

.navbar-brand a.site-logo {
  padding: 0;
  max-height: 3.25rem;
}

@media all and (min-width: $desktop) {
  .navbar-brand a.site-logo {
    max-height: 4.25rem;
  }
}

.navbar-brand a.site-logo img {
    max-height: 3.25rem;
    padding: 0.25rem 0 0 0.25rem;
}

// Bulma bugfix? should not be needed
@media all and (min-width: $desktop) {
  html.has-navbar-fixed-top, body.has-navbar-fixed-top {
    padding-top: 4.25rem;
  }
}

.navbar {
  background-color: var(--enzian--color-navbar-bg);
  box-shadow: 0 2px 3px rgba(10,10,10,0.1);
  a, .navbar-link {
    font-size: 20px;
  }
  .navbar-dropdown a {
    font-size: var(--text-lg);
  }
}

.navbar-menu .navbar-link {
  color: var(--enzian--color-navbar-link);
}

a.navbar-item, a.navbar-link {
  background-color: var(--enzian--color-navbar-bg);
  color: var(--enzian--color-navbar-link);
}

.navbar .navbar-link:not(.is-arrowless)::after {
  border-color: var(--enzian--color-navbar-link);
  background-color: var(--enzian--color-navbar-bg);
}
.navbar a.navbar-item:focus, .navbar a.navbar-item:focus-within, .navbar a.navbar-item:hover, .navbar a.navbar-item.is-active, .navbar .navbar-link:focus, .navbar .navbar-link:focus-within, .navbar .navbar-link:hover, .navbar .navbar-link.is-active {
  background-color: var(--enzian--color-navbar-accent);
  color: var(--enzian--color-navbar-link);
}
.navbar-item.has-dropdown:focus .navbar-link, .navbar-item.has-dropdown:hover .navbar-link, .navbar-item.has-dropdown.is-active .navbar-link {
  background-color: var(--enzian--color-navbar-accent);
  color: var(--enzian--color-navbar-link);
}
.navbar-menu, .navbar-dropdown, .navbar-item.is-active .navbar-dropdown, .navbar-item.is-hoverable:focus .navbar-dropdown, .navbar-item.is-hoverable:focus-within .navbar-dropdown, .navbar-item.is-hoverable:hover .navbar-dropdown {
  background-color: var(--enzian--color-navbar-bg);
}

a.navbar-item.is-active:not(:focus):not(:hover),
.navbar-link.is-active:not(:focus):not(:hover) {
  background-color: var(--enzian--color-navbar-accent); 
}

/*
 * Various
 *
 */

.button.is-link {
  background-color: var(--enzian--color-bg);
}

.is-link.input, .is-link.textarea {
  border-color: var(--enzian--color-bg);
}


/* 
 * Extensions: Checkradio for facets
 *
 * => See filters component
 *
 */


 /* Stuff from Bulma Extension */

.facets-widget-checkbox input[type=checkbox] {
  outline: 0;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  display: inline-block;
  position: absolute;
  opacity: 0;
}

.facets-widget-checkbox input[type=checkbox]+label {
  position: relative;
  display: initial;
  cursor: pointer;
  vertical-align: middle;
  margin: .3em 0;
  padding: 0;
  border-radius: 4px;
}

.facets-widget-checkbox input[type=checkbox]+label:hover:before {
  -webkit-animation-duration: .4s;
  animation-duration: .4s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
  -webkit-animation-name: hover-color;
  animation-name: hover-color;
}
/* unchecked items */
.facets-widget-checkbox input[type=checkbox]+label:before {
  position: absolute;
  left: 0;
  top: 0;
  content: '';
  border: .35rem solid white;
  border-radius: 50%;
}
/* unchecked child items */
.facets-widget-checkbox li li input[type=checkbox]+label:before {
  position: absolute;
  left: 0;
  top: .1rem;
  content: '';
  border: .3rem solid white;
}

.facets-widget-checkbox input[type=checkbox]+label:after{
  position: absolute;
  display: none;
  content: '';
  top: 0;
}

.facets-widget-checkbox input[type=checkbox]:focus+label:before {
  outline: 1px dotted #b5b5b5;
}
/* checked item border */
.facets-widget-checkbox li li input[type=checkbox]:checked+label:before {
  border: .35rem solid #fff;
}

.facets-widget-checkbox input[type=checkbox]:checked+label:before {
  -webkit-animation-name: none;
  animation-name: none;
}

/* hover color border*/
.facets-widget-checkbox input[type=checkbox]:hover:not([disabled])+label:before {
  background: var(--enzian--color-bg);
}

/* Checked item settings, tranform for size */
.facets-widget-checkbox input[type=checkbox]+label:after {
  border-radius: 50%;
  display: inline-block;
  left: 0;
  -webkit-transform: scale(.6);
  transform: scale(.6);
  opacity: .6;
}

.facets-widget-checkbox li li input[type=checkbox]+label:after {
  border-radius: 50%;
  display: inline-block;
  top: .1rem;
  left: 0;
  -webkit-transform: scale(.6);
  transform: scale(.6);
  opacity: .6;
}

.facets-widget-checkbox input[type=checkbox]+label {
  padding-left: 2rem;
}

.facets-widget-checkbox input[type=checkbox]+label:after,
.facets-widget-checkbox input[type=checkbox]+label:before {
  width: 1.5rem;
  height: 1.5rem;
}

.facets-widget-checkbox li li input[type=checkbox]+label:after,
.facets-widget-checkbox li li input[type=checkbox]+label:before {
  width: 1.2rem;
  height: 1.2rem;
}

.facets-widget-checkbox input[type=checkbox][disabled] {
  cursor: not-allowed;
}

.facets-widget-checkbox input[type=checkbox][disabled]+label {
  opacity: .5;
  cursor: not-allowed;
}

.facets-widget-checkbox input[type=checkbox][disabled]+label:after,
.facets-widget-checkbox input[type=checkbox][disabled]+label:before,
.facets-widget-checkbox input[type=checkbox][disabled]+label:hover {
  cursor: not-allowed;
}

.facets-widget-checkbox input[type=checkbox][disabled]:hover {
  cursor: not-allowed;
}

.facets-widget-checkbox input[type=checkbox][disabled]:hover:before {
  -webkit-animation-name: none;
  animation-name: none;
}

.facets-widget-checkbox input[type=checkbox][disabled]:before {
  cursor: not-allowed;
}

.facets-widget-checkbox input[type=checkbox][disabled]:after {
  cursor: not-allowed;
}

.facets-widget-checkbox input[type=checkbox]:checked[disabled] {
  cursor: not-allowed;
}

.facets-widget-checkbox input[type=checkbox]:checked[disabled]+label {
  opacity: .5;
}

/* General */

.navbar .title {
  font-size: 1.5rem;
  margin: 0;
}

.button.is-primary {
  background-color: var(--enzian--color-primary) !important;
}

.button.is-primary:hover, .button.is-primary.is-hovered {
  background-color: var(--enzian--color-primary-dark) !important;
}

.panel .panel {
  box-shadow: none;
}

label.option {
  display: inline;
}

.button.is-link:hover, 
.button.is-link.is-hovered {
  background-color: var(--enzian--color-bg-dark);
}